data {
    int N;
    array[N] real St;
    array[N] int Res;
}
parameters {
    real<lower = .0> v_sgm;
    real v_C1;
    real<lower = 0.0> v_C2;
}
transformed parameters {
    array[N] simplex[3] theta;
    real sgm;
    array[2] real C;
    sgm = v_sgm * 100.0 + 0.0001;
    C[1] = v_C1 * 100.0;
    C[2] = C[1] + v_C2 * 100.0 + 0.0001;
    for (i in 1:N) {
        theta[i][2] = normal_cdf((St[i] - C[1])/sgm | 0.0, 1.0);
        theta[i][3] = normal_cdf((St[i] - C[2])/sgm | 0.0, 1.0);
        theta[i][1] = 1.0 - theta[i][2];
        theta[i][2] = theta[i][2] - theta[i][3];
    }
}
model {
    v_sgm ~ exponential(0.1);
    v_C1 ~ normal(0.0, 10.0);
    v_C2 ~ exponential(0.1);
    for (i in 1:N)
        Res[i] ~ categorical(theta[i]);
}
